Subject: Re: bug#63785: 29.0.91; Clearing package list filters also clears flags

From: Robert Pluim <[email-masked]>
Date: Tue, 30 May 2023 11:19:14 +0200

>>>>> On Tue, 30 May 2023 11:43:51 +0300, Eshel Yaron <[email-masked]> said:
    >> That only offer to installs ack, even though Iʼve marked helm. If I
    >> clear the filters then 'x' offers to install both.  Although I could
    >> argue that Iʼm in a filtered state, so offering to install only
    >> visible packages is normal :-)

    Eshel> Yes, that's what I thought.  Only installing visible packages when the
    Eshel> menu is filtered seems sensible to me.  Although I guess
    Eshel> `package-menu-execute` could be extended with some option that says what
    Eshel> to do in these cases, maybe by default it could suggest clearing the
    Eshel> filter first?

Maybe. Iʼm wary of adding too much DWIMery here. Limiting the
installation to the visible packages seems like a reasonable and
unsurprising way to behave (and people who want to install all the
selected packages just need to do '/ /')

Robert
--